%define anolis_release 1

Summary:        Library that provides message digest functions from BSD systems
Name:           libmd
Version:        1.0.4
Release:        %{anolis_release}%{?dist}
License:        BSD-2-Clause AND BSD-3-Clause AND ISC AND Beerware AND Public-Domain
URL:            https://www.hadrons.org/software/libmd/
Source0:        https://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz

BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  make

%description
The libmd library provides a few message digest ("hash") functions, as
found on various BSD systems, either on their libc or on a library with
the same name, and with a compatible API.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Development files for the message digest library
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
The libmd-devel package includes header files and libraries necessary
for developing programs which use the message digest library.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# Don't install any libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}.la

%check
make check

%ldconfig_scriptlets

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/%{name}.so.0*
%{abidir}/%{name}.dump

%files doc
%doc ChangeLog README

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/md2.h
%{_includedir}/md4.h
%{_includedir}/md5.h
%{_includedir}/ripemd.h
%{_includedir}/rmd160.h
%{_includedir}/sha.h
%{_includedir}/sha1.h
%{_includedir}/sha2.h
%{_includedir}/sha256.h
%{_includedir}/sha512.h
%{_mandir}/man3/MD2*.3*
%{_mandir}/man3/MD4*.3*
%{_mandir}/man3/MD5*.3*
%{_mandir}/man3/RMD160*.3*
%{_mandir}/man3/SHA1*.3*
%{_mandir}/man3/SHA256*.3*
%{_mandir}/man3/SHA384*.3*
%{_mandir}/man3/SHA512*.3*
%{_mandir}/man3/md2.3*
%{_mandir}/man3/md4.3*
%{_mandir}/man3/md5.3*
%{_mandir}/man3/rmd160.3*
%{_mandir}/man3/sha1.3*
%{_mandir}/man3/sha2.3*

%changelog
* Tue Jan 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> 1.0.4-1
- Init for Anolis OS 23
